////////////////////////////////////////////////////////////////////////
// Sprites.h
// Mochilote - www.cpcmania.com
////////////////////////////////////////////////////////////////////////

#define BALL_WIDTH 16
#define BALL_HEIGHT 8

#define BALL_WIDTH_BYTES 2
const unsigned char aBallSprite[2][BALL_WIDTH_BYTES * BALL_HEIGHT] = 
{
												{	0xFF,	0xFF,
													0xFF,	0xFF,
													0xFF,	0xFF,
													0xFF,	0xFF,
													0xFF,	0xFF,
													0xFF,	0xFF,
													0xFF,	0xFF,
													0xFF,	0xFF,},
													
												{	0x00,	0x00,
													0x00,	0x00,
													0x00,	0x00,
													0x00,	0x00,
													0x00,	0x00,
													0x00,	0x00,
													0x00,	0x00,
													0x00,	0x00},
};


#define NUMBER_HEIGHT 20
#define NUMBER_WIDTH_BYTES 4
#define NUMBER_WIDTH 32
const unsigned char aNumberSprite[10][NUMBER_HEIGHT * NUMBER_WIDTH_BYTES] = 
{
												{	//0
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
												},
												
												{	//1
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
												},

												{	//2
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0x00,	0x00,	0x00,
													0xFF,	0x00,	0x00,	0x00,
													0xFF,	0x00,	0x00,	0x00,
													0xFF,	0x00,	0x00,	0x00,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
												},												

												{	//3
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
												},

												{	//4
													0xFF,	0x00,	0x00, 0xFF,
													0xFF,	0x00,	0x00, 0xFF,
													0xFF,	0x00,	0x00, 0xFF,
													0xFF,	0x00,	0x00, 0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
												},

												{	//5
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0x00,	0x00,	0x00,
													0xFF,	0x00,	0x00,	0x00,
													0xFF,	0x00,	0x00,	0x00,
													0xFF,	0x00,	0x00,	0x00,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
												},

												{	//6
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0x00,	0x00,	0x00,
													0xFF,	0x00,	0x00,	0x00,
													0xFF,	0x00,	0x00,	0x00,
													0xFF,	0x00,	0x00,	0x00,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
												},

												{	//7
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00, 0xFF,
													0x00,	0x00,	0x00, 0xFF,
													0x00,	0x00,	0x00, 0xFF,
													0x00,	0x00,	0x00, 0xFF,
												},
				
												{	//8
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
												},

												{	//9
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0x00,	0x00,	0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0x00,	0x00,	0x00,	0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
													0xFF,	0xFF,	0xFF, 0xFF,
												},

};


////////////////////////////////////////////////////////////////////////